/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.roles.admin.panel.category.role.type.mapper;

/**
 * Defines a mapping between role types and a panel category. When implemented,
 * the returned role types will be able to define permissions for apps under the
 * returned panel category. This will be visible in the Define Permissions view
 * in the Roles Admin portlet.
 *
 * @author Drew Brokke
 * @review
 */
public interface PanelCategoryRoleTypeMapper {

	public String getPanelCategoryKey();

	public int[] getRoleTypes();

}